#
# spec file for package libgnomeprintui (Version 2.12.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv intltool iso_ent klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomecups libgnomecups-devel libgnomeprint libgnomeprint-devel libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libgnomeprintui
BuildRequires:  gnome-common gnome-icon-theme gnutls-devel gtkdoc intltool libglade2-devel libgnomecanvas-devel libgnomecups-devel libgnomeprint-devel libgnomeui-devel libtiff-devel libwnck-devel mDNSResponder-devel perl-XML-Parser sgml-skel update-desktop-files xorg-x11
%define prefix  /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL, LGPL
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Version:        2.12.1
Release:        20.2
Summary:        User Interface Part of the GNOME Printing Library
Source:         libgnomeprintui-%{version}.tar.bz2
Patch0:         add-printer.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libgnomeprint >= 2.10.0
Requires:       libgnomecups >= 0.2.0
Requires:       libgnomesu

%description
This library contains all user-interface related functions to the GNOME
printing subsystem.



Authors:
--------
    Lauris Kaplinski <lauris@ximian.com>
    Chema Celorio <chema@celorio.com>
    Chris Lahey <clahey@ximian.com>
    Raph Levien <raph@acm.org>
    Miguel de Icaza <miguel@gnu.org>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Requires:       %{name} = %{version} libgnomeprint-devel >= 2.10.0 libgnomecanvas-devel libgnomeui-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Lauris Kaplinski <lauris@ximian.com>
    Chema Celorio <chema@celorio.com>
    Chris Lahey <clahey@ximian.com>
    Raph Levien <raph@acm.org>
    Miguel de Icaza <miguel@gnu.org>

%package doc
Summary:        User Interface Part of the GNOME-Printing Library
Group:          Development/Libraries/GNOME
Autoreqprov:    on

%description doc
This library contains all user-interface related functions to the GNOME
printing subsystem.



Authors:
--------
    Lauris Kaplinski <lauris@ximian.com>
    Chema Celorio <chema@celorio.com>
    Chris Lahey <clahey@ximian.com>
    Raph Levien <raph@acm.org>
    Miguel de Icaza <miguel@gnu.org>

%prep
%setup -q -n libgnomeprintui-%{version} 
%patch0 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I .
automake -c -a -f
autoconf 
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    --sysconfdir=%{sysconfdir} \
            --enable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%_lib 
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang libgnomeprintui-2.2

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %files -f libgnomeprintui-2.2.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/%_lib/*.so.*
%dir %{prefix}/share/libgnomeprintui
%dir %{prefix}/share/libgnomeprintui/%version
%{prefix}/share/libgnomeprintui/%version/gnome-print-job-preview.xml

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/pkgconfig/libgnomeprintui-2.2.pc
%{prefix}/include/libgnomeprintui-2.2
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a

%files doc
%defattr(-,root,root)
%doc %{prefix}/share/gtk-doc/html/*

%changelog -n libgnomeprintui
* Mon Feb 13 2006 - ro@suse.de
- added libgnomeui-devel to Requires of devel package
* Sun Jan 29 2006 - aj@suse.de
- Fix BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 11 2005 - gekker@suse.de
- Update to version 2.12.1
- Fix crashes in print dialogs (#118797)
* Tue Sep 06 2005 - gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 16 2005 - sbrabec@suse.cz
- Use gnomesu instead of kdesu.
* Fri Jun 24 2005 - ro@suse.de
- added directories to filelist
* Wed Jun 22 2005 - gekker@suse.de
- Update to version 2.11.0
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Mon Mar 28 2005 - gekker@suse.de
- Fix Requires for libgnomeprintui-devel (9124).
* Wed Mar 23 2005 - jody@suse.de
- upstream 2.10.2 to sync with libgnomeprint
- only display Duplex when available
* Wed Mar 16 2005 - jody@suse.de
- upstream 2.10.1 to fix leak, and put Printer tab first
* Wed Mar 09 2005 - clahey@suse.de
- update to 2.10.0.1
* Tue Jan 18 2005 - clahey@suse.de
- Updated to 2.8.2.
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Tue Oct 12 2004 - sbrabec@suse.cz
- Removed openssl from build requirements.
* Mon Oct 04 2004 - jody@suse.de
- Add an 'add printer' button #59414
* Mon Sep 13 2004 - jody@suse.de
- updated to 2.8.0
- Convert the printer selector to list printers and jobs
- update printers on the fly in the ui
* Sat Jul 31 2004 - jody@suse.de
- updated to 2.7.1
* Tue Jun 22 2004 - jody@suse.de
- Updated to version 2.6.2
- Merged in an updated printer icon list
* Tue Apr 27 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Wed Mar 31 2004 - jody@suse.de
- Fix the printer display patch (SuSE Bug Id#36817)
- Fix some compiler warnings
- Fix the copies and collation fields
* Fri Feb 27 2004 - hhetter@suse.de
- updated to version 2.5.3, better cups interaction
- applied patch: display printers as icon list
* Tue Jan 20 2004 - hhetter@suse.de
- updated to version 2.4.2
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Wed Oct 08 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Thu Jul 24 2003 - hhetter@suse.de
- fix typo
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 26 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.3.
* Tue Jun 24 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.2.
- Use %%find_lang.
- Prefix clash fix (gtk-doc).
- Branched libgnomeprintui-doc.
* Mon Jun 02 2003 - ro@suse.de
- include devel docs to devel subpackage
* Thu Feb 06 2003 - hhetter@suse.de
- updated to version 2.2.1.1 [GNOME 2.2.0]
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.1
* Wed Jan 15 2003 - hhetter@suse.de
- build with #neededforbuild expat
- updated to version 2.1.8
- filelist fix
* Thu Oct 31 2002 - hhetter@suse.de
- udpated to version 1.116.0
* Thu Oct 24 2002 - hhetter@suse.de
- use "-c" with automake (Bug Id#21066)
* Mon Aug 12 2002 - ro@suse.de
- hack to build with new automake
* Fri Aug 09 2002 - hhetter@suse.de
- add openssl to neededforbuild
* Fri Jun 21 2002 - ro@suse.de
- use "-a -f" for automake
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 1.115.0
* Wed May 15 2002 - ro@suse.de
- use libdir
* Wed Apr 10 2002 - hhetter@suse.de
- build fixes
- updates to version 1.112.0 [gnome desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.110.0 [gnome desktop alpha2]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 18 2002 - hhetter@suse.de
- prefix to /opt/gnome2
* Tue Jan 15 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
